package cn.com.taiji.beidou.ship.warning.record.service;

import cn.com.taiji.beidou.ship.archives.domain.ShipDisposeData;
import cn.com.taiji.beidou.ship.warning.record.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author CHEN
 * @Date 2022/11/22 17:59
 */
public interface WarningRecordService {

    List<StatisticsByRuleResult> statisticsByRule(String deptId,String startTime,String endTime);

    /**
     * 预警记录列表
     * @param req
     * @return
     */
    List<WarningRecordListResult> warningRecordList(WarningRecordReq req);

    /**
     * 根据设备号获取预警记录列表
     * @param devideNo
     * @return
     */
    List<SimpleWarningRecordResult> getWarningRecordByDeviceId(String devideNo,String ruleId,String startTime,String endTime);

    /**
     * 导出接口
     * @param ruleId
     * @param deptId
     * @param startTime
     * @param endTime
     * @return
     */
    List<WarningRecordExcel> warningRecordExcel(String ruleId,String deptId,String startTime,String endTime);

    /**
     * 新增处置
     * @param shipDisposeData
     * @return
     */
    int insertDispose(ShipDisposeData shipDisposeData);

    /**
     * 获取处置状态
     * @return
     */
    List<Map<Integer,String>> getDisposeStatus();

    List<WarningRecordResult> getRecordByDeviceId(String deviceId);
}
